org.springframework.web.reactive.socket.server.upgrade

## Class UndertowRequestUpgradeStrategy

- java.lang.Object
- - org.springframework.web.reactive.socket.server.upgrade.UndertowRequestUpgradeStrategy

All Implemented Interfaces:
  RequestUpgradeStrategy

    public class UndertowRequestUpgradeStrategy
    extends Object
    implements RequestUpgradeStrategy

A `RequestUpgradeStrategy` for use with Undertow.

Since:
  5.0
Author:
  Violeta Georgieva, Rossen Stoyanchev, Brian Clozel

### Constructor Summary

Constructors
Constructor and Description
`UndertowRequestUpgradeStrategy()`

### Method Summary

All Methods Instance Methods Concrete Methods
`reactor.core.publisher.Mono<Void>` `upgrade(org.springframework.web.server.ServerWebExchange exchange, WebSocketHandler handler, String subProtocol, Supplier<HandshakeInfo> handshakeInfoFactory)` Upgrade to a WebSocket session and handle it with the given handler.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.web.reactive.socket.server.RequestUpgradeStrategy

`upgrade`

### Constructor Detail

#### UndertowRequestUpgradeStrategy

    public UndertowRequestUpgradeStrategy()

### Method Detail

#### upgrade

    public reactor.core.publisher.Mono<Void> upgrade(org.springframework.web.server.ServerWebExchange exchange,
                                                     WebSocketHandler handler,
                                                     @Nullable
                                                     String subProtocol,
                                                     Supplier<HandshakeInfo> handshakeInfoFactory)

Description copied from interface: `RequestUpgradeStrategy`
Upgrade to a WebSocket session and handle it with the given handler.

Specified by:
  `upgrade` in interface `RequestUpgradeStrategy`
Parameters:
  `exchange` - the current exchange
  `handler` - handler for the WebSocket session
  `subProtocol` - the selected sub-protocol got the handler
  `handshakeInfoFactory` - factory to create HandshakeInfo for the WebSocket session
Returns:
  completion `Mono<Void>` to indicate the outcome of the WebSocket session handling.